# graveyard (intro)
execute as @e[tag=rngstand] at @s run setblock ~ ~ ~ air
execute as @e[tag=rngstand,limit=1,sort=random] at @s run setblock ~ ~ ~ redstone_block
scoreboard players add @s[scores={acttimer1=1}] acttimer4 1
effect give @a[tag=!testing] blindness 7 0 true
scoreboard players add @s[scores={acttimer4=520..}] acttimer2 1
scoreboard players add @s[scores={rng=12..20,acttimer4=520..}] acttimer2 1
scoreboard players add @s[scores={rng=11..12,acttimer2=..760,acttimer4=520..}] acttimer2 20
scoreboard players add @s[scores={rng=3..20,acttimer4=520..}] acttimer3 1

execute if entity @s[scores={acttimer2=795..}] unless entity @e[tag=envstand] run summon armor_stand ~ ~10 ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Invisible:1b,PersistenceRequired:1b,Tags:["envstand"]}
execute if entity @s[scores={acttimer2=795..799}] run spreadplayers -39 11 10 40 false @e[tag=envstand]
execute as @e[tag=envstand] at @s if entity @e[tag=sv,scores={acttimer2=800..}] run function jti:create_ambience
execute as @e[tag=monster] at @s if entity @e[tag=sv,scores={acttimer3=20..}] if entity @a[scores={chased=0}] run function jti:monster_noises
execute as @e[tag=monster] at @s if entity @e[tag=sv,scores={acttimer3=30..}] if entity @a[scores={chased=1..2}] run function jti:monster_noises

execute if entity @s[scores={acttimer5=0}] if entity @a[x=-46,y=5,z=-52,dx=15,dy=5,dz=0] run tellraw @a {"text":"You can only run while being chased.","color":"#F5FFF7"}
execute if entity @s[scores={acttimer5=0}] if entity @a[x=-46,y=5,z=-52,dx=15,dy=5,dz=0] run fill -48 7 -41 -48 10 -37 barrier
execute if entity @s[scores={acttimer5=0}] if entity @a[x=-46,y=5,z=-52,dx=15,dy=5,dz=0] run scoreboard players set @e[tag=sv] acttimer5 1
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0] run tellraw @a [{"text":"<"},{"text":"Micheal","color":"green"},{"text":"> "},{"text":"Where did these barbed wires come from!?","color":"green"}]
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0] run function jti:quest_complete
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0] run fill -48 7 -41 -48 10 -37 air
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0] run summon item -45 7 -47 {Age:-32768,Item:{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{display:{Name:'{"text":"Library Key","color":"yellow","italic":false}',Lore:['{"text":" "}','{"text":"This key can be right-clicked to","color":"gray","italic":false}','[{"text":"open / close the ","color":"gray","italic":false},{"text":"library door","color":"yellow"}]','[{"text":"in the ","color":"gray","italic":false},{"text":"church","color":"yellow"},{"text":"."}]']},CustomModelData:1,librarykey:1b,key:1b}}}
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0,scores={chased=0}] run execute as @e[tag=monster] at @s run tp @s -17 4 8
execute if entity @s[scores={acttimer5=1,acttimer4=520..}] if entity @a[x=-46,y=5,z=-61,dx=15,dy=5,dz=0] run scoreboard players set @e[tag=sv] acttimer5 2

execute if entity @s[scores={acttimer1=0}] unless entity @e[tag=actdepend] run summon armor_stand -43 7 -33 {NoGravity:1b,Invulnerable:1b,Invisible:1b,PersistenceRequired:1b,Tags:["actdepend"],Rotation:[-23.4F,0.0F]}
execute if entity @s[scores={acttimer1=0}] run execute as @e[tag=actdepend] at @s run particle minecraft:happy_villager ~ ~.2 ~ 0 0 0 0 1 force @a
execute if entity @s[scores={acttimer1=0}] run execute as @e[tag=actdepend] at @s run tp @s ^ ^ ^1
execute if entity @s[scores={acttimer1=0}] run execute as @e[tag=actdepend] at @s if entity @s[x=-36,y=6,z=-14,dx=7,dy=3,dz=3] run tp @s -43 7 -33
execute if entity @s[scores={acttimer1=0}] run particle minecraft:happy_villager -34 7 -15 .3 .7 .3 0 2 force @a
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run tp @a -34 7 -15
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run setblock -35 8 -15 barrier
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run setblock -34 8 -14 barrier
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run setblock -34 8 -16 barrier
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run setblock -33 8 -15 barrier
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run setblock -34 9 -15 barrier
execute if entity @s[scores={acttimer1=0}] if entity @a[x=-34,y=7,z=-15,dx=0,dy=0,dz=0] run scoreboard players set @e[tag=sv] acttimer1 1
execute if entity @s[scores={acttimer4=20}] run kill @e[tag=actdepend]
execute if entity @s[scores={acttimer4=40}] run tellraw @a [{"text":"<"},{"text":"Micheal","color":"green"},{"text":"> "},{"text":"Lucy...","color":"green"}]
execute if entity @s[scores={acttimer4=80}] run tellraw @a [{"text":"<"},{"text":"Micheal","color":"green"},{"text":"> "},{"text":"Have you been alright?","color":"green"}]
execute if entity @s[scores={acttimer4=100..270}] run particle minecraft:smoke -33.49 8.00 -12.51 .9 .4 .9 0 2 force @a
execute if entity @s[scores={acttimer4=271..520}] run particle minecraft:smoke -33.49 8.00 -12.51 .9 .4 .9 0 6 force @a
execute if entity @s[scores={acttimer4=120}] run tellraw @a [{"text":"<"},{"text":"Micheal","color":"green"},{"text":"> "},{"text":"Lucy...?","color":"green"}]
execute if entity @s[scores={acttimer4=180}] run tellraw @a {"text":"You have no business here.","color":"#D7FFD4"}
execute if entity @s[scores={acttimer4=240}] run tellraw @a {"text":"YOU messed up your own life.","color":"#C4F5BC"}
execute if entity @s[scores={acttimer4=300}] run tellraw @a [{"text":"<"},{"text":"Micheal","color":"green"},{"text":"> "},{"text":"Who is this-?!","color":"green"}]
execute if entity @s[scores={acttimer4=360}] run tellraw @a {"text":"Heh.","color":"#BCF5B3"}
execute if entity @s[scores={acttimer4=400}] run tellraw @a {"text":"You don\'t recognize me?","color":"#A0ED9A"}
execute if entity @s[scores={acttimer4=460}] run tellraw @a {"text":"Your arrogance needs to be punished.","color":"#7FE382"}
execute if entity @s[scores={acttimer4=520}] run title @a title {"text":"RUN","color":"red","bold":"true"}
execute if entity @s[scores={acttimer4=520}] run function jti:quest_complete
execute if entity @s[scores={acttimer4=520}] run setblock -35 8 -15 air
execute if entity @s[scores={acttimer4=520}] run setblock -34 8 -14 air
execute if entity @s[scores={acttimer4=520}] run setblock -34 8 -16 air
execute if entity @s[scores={acttimer4=520}] run setblock -33 8 -15 air
execute if entity @s[scores={acttimer4=520}] run setblock -34 9 -15 air
execute if entity @s[scores={acttimer4=520}] run fill -47 8 -66 -40 8 -66 cobweb
execute if entity @s[scores={acttimer4=520}] run particle block coarse_dirt -33.48 7.10 -12.98 0 0 0 0 100 force @a
execute if entity @s[scores={acttimer4=520}] run summon armor_stand -33.11 5.20 -12.36 {NoGravity:1b,Silent:1b,Invulnerable:1b,ShowArms:0b,PersistenceRequired:1b,Tags:["actdepend"],Pose:{RightArm:[249f,183f,0f],Head:[181f,0f,0f]},DisabledSlots:4144959,HandItems:[{id:"minecraft:iron_sword",Count:1b},{}]}
execute if entity @s[scores={acttimer4=520}] run playsound minecraft:block.grass.break master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=560,acttimer5=1}] run playsound custom.tension master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=572,acttimer5=1}] run playsound custom.tension master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=584,acttimer5=1}] run playsound custom.tension master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=596,acttimer5=1}] run playsound custom.tension master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=608,acttimer5=1}] run playsound custom.tension master @a -33.48 7.10 -12.98 1000
execute if entity @s[scores={acttimer4=620}] run particle explosion -33.48 7.10 -12.98 0 0 0 0 30 force @a
execute if entity @s[scores={acttimer4=620,acttimer5=1}] run playsound custom.monster.scream2 master @a -33.48 7.10 -12.98 1.5 0.2
execute if entity @s[scores={acttimer4=622,acttimer5=1}] run summon zombie -34 7 -13 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Health:1000f,IsBaby:0b,CanBreakDoors:1b,Tags:["monster"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-662637303,-1396817356,-1433066245,1724584990],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTY0MzIwNGE5ZDA3MjI4OGY3MmQyZmQwMmQxODljNWEzYjA0MTM4MzU4YzAyMmZiMmNkNTJlMTE1OTM4NDJmNyJ9fX0="}]}}}}],ActiveEffects:[{Id:14b,Amplifier:0b,Duration:99999999,ShowParticles:0b},{Id:18b,Amplifier:255b,Duration:99999999,ShowParticles:0b}],Attributes:[{Name:generic.max_health,Base:1000},{Name:generic.movement_speed,Base:0.38},{Name:generic.follow_range,Base:200},{Name:generic.attack_damage,Base:-10}]}
execute if entity @s[scores={acttimer4=622,acttimer5=2}] run summon zombie -17 4 8 {Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Health:1000f,IsBaby:0b,CanBreakDoors:1b,Tags:["monster"],HandItems:[{id:"minecraft:iron_sword",Count:1b},{}],ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b,tag:{SkullOwner:{Id:[I;-662637303,-1396817356,-1433066245,1724584990],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTY0MzIwNGE5ZDA3MjI4OGY3MmQyZmQwMmQxODljNWEzYjA0MTM4MzU4YzAyMmZiMmNkNTJlMTE1OTM4NDJmNyJ9fX0="}]}}}}],ActiveEffects:[{Id:14b,Amplifier:0b,Duration:99999999,ShowParticles:0b},{Id:18b,Amplifier:255b,Duration:99999999,ShowParticles:0b}],Attributes:[{Name:generic.max_health,Base:1000},{Name:generic.movement_speed,Base:0.38},{Name:generic.follow_range,Base:200},{Name:generic.attack_damage,Base:-10}]}
execute if entity @s[scores={acttimer4=622}] run kill @e[tag=actdepend]
execute if entity @s[scores={acttimer4=520..660}] if entity @e[tag=sv,scores={rng=1..7}] run title @a actionbar {"text":"[!] RUN [!]","color":"red"}
execute if entity @s[scores={acttimer4=520..660}] if entity @e[tag=sv,scores={rng=8..14}] run title @a actionbar {"text":"[!] RUN [!]","color":"gold"}
execute if entity @s[scores={acttimer4=520..660}] if entity @e[tag=sv,scores={rng=15..20}] run title @a actionbar {"text":"[!] RUN [!]","color":"yellow"}
execute if entity @s[scores={acttimer4=520..660}] run effect give @a speed 1 3 true

execute if entity @a[scores={deaths=1..}] run scoreboard players set @e[tag=sv] act 6
execute if entity @a[x=-91,y=8,z=6,dx=0,dy=3,dz=11] unless entity @e[tag=sv,scores={act=6}] run function jti:switch_act

# MONSTER AI
scoreboard players remove @a[scores={immunity=1..}] immunity 1
execute as @e[tag=monster] at @s unless entity @e[tag=monsterray] run summon area_effect_cloud ~ ~1 ~ {NoGravity:1b,Duration:500,DurationOnUse:0f,Tags:["monsterray"]}
execute as @a[scores={chased=0}] at @s if entity @e[tag=monster,distance=0..7] unless entity @e[tag=playerray] anchored eyes run summon area_effect_cloud ^ ^ ^-1 {NoGravity:1b,Duration:500,DurationOnUse:0f,Tags:["playerray"],Particle:"nautilus"}
execute as @e[tag=monster,tag=!playersee] at @s run scoreboard players remove @s[scores={vision=0..}] vision 1
execute if entity @a[scores={chased=1..2}] if entity @e[tag=monster,scores={vision=-1..50}] run scoreboard players set @a chased 0
execute as @a[scores={chased=1..2}] at @s unless entity @e[tag=monster,distance=0..20] run scoreboard players set @a chased 0
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=monsterray] at @s run function jti:monster_vision
execute as @e[tag=playerray] at @s run tp @s ~ ~ ~ facing entity @p eyes
execute as @e[tag=playerray] at @s run tp @s ^ ^ ^1
execute as @e[tag=playerray] at @s run function jti:player_vision
execute as @e[tag=playerray] at @s run function jti:player_vision
execute as @e[tag=playerray] at @s run function jti:player_vision
execute as @e[tag=playerray] at @s run function jti:player_vision
execute as @e[tag=playerray] at @s run function jti:player_vision
kill @e[tag=playerray]
execute as @a[scores={chased=1..2}] at @s if entity @e[tag=sv,scores={rng=1..7}] run title @s actionbar {"text":"[!] RUN [!]","color":"red"}
execute as @a[scores={chased=1..2}] at @s if entity @e[tag=sv,scores={rng=8..14}] run title @s actionbar {"text":"[!] RUN [!]","color":"gold"}
execute as @a[scores={chased=1..2}] at @s if entity @e[tag=sv,scores={rng=15..20}] run title @s actionbar {"text":"[!] RUN [!]","color":"yellow"}
execute as @a[scores={chased=1..2}] at @s run effect give @s speed 1 3 true
execute as @a[scores={chased=0}] at @s if entity @s[nbt={ActiveEffects:[{Id:1b,Duration:13}]}] run playsound minecraft:custom.player.breath master @s ~ ~ ~ 1 0.98
execute as @a[scores={chased=0}] at @s if entity @s[nbt={ActiveEffects:[{Id:1b,Duration:13}]}] run effect give @s slowness 2 1 true
execute as @a[scores={chased=0}] at @s if entity @s[nbt={ActiveEffects:[{Id:1b,Duration:13}]}] run effect clear @s speed
#execute as @e[tag=monster] at @s if entity @a[scores={immunity=0},distance=0..1] run effect give @a resistance 2 0 true
#execute as @e[tag=monster] at @s if entity @a[scores={immunity=0},distance=0..1] run effect give @a instant_damage 1 1 true
#execute as @e[tag=monster] at @s if entity @a[scores={immunity=0},distance=0..1] run execute as @a at @s run playsound minecraft:custom.player.stab master @s ~ ~ ~
#execute as @e[tag=monster] at @s if entity @a[scores={immunity=0},distance=0..1] run scoreboard players set @a chased 2
#execute as @e[tag=monster] at @s if entity @a[scores={immunity=0},distance=0..1] run execute as @a at @s run function jti:hurt
tag @a remove closesee
execute if entity @a[scores={chased=2}] run scoreboard players add @s loudtimer 1
execute if entity @s[scores={loudtimer=4..}] run execute as @e[tag=monster] at @s run playsound minecraft:custom.monster.chase master @a ~ ~ ~ 2
execute if entity @s[scores={loudtimer=4..}] run scoreboard players set @s loudtimer 0
execute as @e[tag=monster] at @s run particle smoke ~ ~1 ~ .3 .5 .3 0 20 force @a


# KEYS
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{librarykey:1b}}}] at @s run execute as @e[tag=keystand,tag=library] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{basementkey:1b}}}] at @s run execute as @e[tag=keystand,tag=basement] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{oldhousekey:1b}}}] at @s run execute as @e[tag=keystand,tag=oldhouse] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{shortcutkey:1b}}}] at @s run execute as @e[tag=keystand,tag=shortcut] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{stairskey:1b}}}] at @s run execute as @e[tag=keystand,tag=stairs] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{storagekey:1b}}}] at @s run execute as @e[tag=keystand,tag=storage] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{storage2key:1b}}}] at @s run execute as @e[tag=keystand,tag=storage2] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{weaponkey:1b}}}] at @s run execute as @e[tag=keystand,tag=weapon] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{officekey:1b}}}] at @s run execute as @e[tag=keystand,tag=office] at @s positioned ~ ~-2 ~ if entity @a[distance=0..2] run function jti:door_toggle
execute as @a[scores={rc=1..},nbt={SelectedItem:{tag:{key:1b}}}] at @s run title @s actionbar {"text":"Wrong key or too far away!","color":"white"}
scoreboard players set @a rc 0


execute as @e[type=item] at @s run particle dust 0.2 1 0.2 1 ~ ~0.5 ~ 0 0 0 0 1 force @a
# additional act 3 difficulty modifiers
execute if entity @s[scores={acttimer5=1}] run effect give @e[tag=monster,tag=!playersee] slowness 1 255 true
execute if block -56 8 0 air run setblock -56 8 0 lectern[facing=south]